Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFCreationHelper

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFCreationHelper

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.CreationHelper

    public class XSSFCreationHelper

extends java.lang.Object
implements org.apache.poi.ss.usermodel.CreationHelper

Method Summary
`org.apache.poi.ss.usermodel.ClientAnchor` | `createClientAnchor()` Creates a XSSFClientAnchor.
`org.apache.poi.ss.usermodel.DataFormat` | `createDataFormat()`
`org.apache.poi.ss.usermodel.FormulaEvaluator` | `createFormulaEvaluator()` Creates a XSSFFormulaEvaluator, the object that evaluates formula cells.
`org.apache.poi.ss.usermodel.Hyperlink` | `createHyperlink(int type)`
`org.apache.poi.ss.usermodel.RichTextString` | `createRichTextString(java.lang.String text)` Creates a new XSSFRichTextString for you.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createRichTextString

    public org.apache.poi.ss.usermodel.RichTextString createRichTextString(java.lang.String text)

  Creates a new XSSFRichTextString for you.

  Specified by:
    `createRichTextString` in interface `org.apache.poi.ss.usermodel.CreationHelper`

### createDataFormat

    public org.apache.poi.ss.usermodel.DataFormat createDataFormat()

  Specified by:
    `createDataFormat` in interface `org.apache.poi.ss.usermodel.CreationHelper`

### createHyperlink

    public org.apache.poi.ss.usermodel.Hyperlink createHyperlink(int type)

  Specified by:
    `createHyperlink` in interface `org.apache.poi.ss.usermodel.CreationHelper`

### createFormulaEvaluator

    public org.apache.poi.ss.usermodel.FormulaEvaluator createFormulaEvaluator()

  Creates a XSSFFormulaEvaluator, the object that evaluates formula cells.

  Specified by:
    `createFormulaEvaluator` in interface `org.apache.poi.ss.usermodel.CreationHelper`
  Returns:
    a XSSFFormulaEvaluator instance

### createClientAnchor

    public org.apache.poi.ss.usermodel.ClientAnchor createClientAnchor()

  Creates a XSSFClientAnchor. Use this object to position drawing object in a sheet

  Specified by:
    `createClientAnchor` in interface `org.apache.poi.ss.usermodel.CreationHelper`
  Returns:
    a XSSFClientAnchor instance
  See Also:
    `Drawing`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD